import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProfileRoutingModule } from './profile-routing.module';
import { ProfileEditComponent } from './components/profile-edit/profile-edit.component';
import { MaterialModule } from '../material/material.module';
import { AuthService } from '../auth/services/auth/auth.service';
import { TranslateLoader, TranslateModule } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/app.module';
import { HttpClient } from '@angular/common/http';
import { ProfileEditBasicsComponent } from './components/profile-edit-basics/profile-edit-basics.component';
import { ProfileEditContactComponent } from './components/profile-edit-contact/profile-edit-contact.component';
import { ProfileEditCredentialsComponent } from './components/profile-edit-credentials/profile-edit-credentials.component';
import { ProfileEditAvatarComponent } from './components/profile-edit-avatar/profile-edit-avatar.component';
import { ProfileEditSettingsComponent } from './components/profile-edit-settings/profile-edit-settings.component';

@NgModule({
    declarations: [
        ProfileEditComponent,
        ProfileEditBasicsComponent,
        ProfileEditContactComponent,
        ProfileEditCredentialsComponent,
        ProfileEditAvatarComponent,
        ProfileEditSettingsComponent,
    ],
    imports: [
        CommonModule,
        ProfileRoutingModule,
        MaterialModule,
        TranslateModule.forChild({
            defaultLanguage: 'en',
            loader: {
                provide: TranslateLoader,
                useFactory: HttpLoaderFactory,
                deps: [HttpClient]
            }
        }),
    ],
    providers: [
        AuthService,
    ],
})
export class ProfileModule { }
